As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 629196 - [OS X 10.6] Sporadic failure in layout/reftests/bugs/579323-1.html
: [OS X 10.6] Sporadic failure in layout/reftests/bugs/579323-1.html
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: mozilla8
Assigned To: Robert O'Callahan (:roc) (email my personal email if necessary)
:
: Milan Sreckovic [:milan]
Mentors:
http://tinderbox.mozilla.org/showlog....
Depends on:
Blocks: 438871 670111 670338
  Show dependency treegraph
 
Reported: 2011-01-26 15:17 PST by Daniel Holbert [:dholbert]
Modified: 2012-11-25 19:31 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Daniel Holbert [:dholbert] 2011-01-26 15:17:38 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296080853.1296082257.8143.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/01/26 14:27:33
s: talos-r3-snow-014

I think the reftest failure log looks exactly like bug 627560 -- it's a 4px difference, with a mismatch at each corner of the box.

But that bug is a 10.5-specific permaorange, whereas this appears to be a sporadic orange on 10.6.  So I'm filing this new bug on it.
Comment 1 User image Treeherder Robot 2011-01-27 04:26:53 PST
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1296128924.1296130340.25030.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/01/27 03:48:44

s: talos-r3-snow-014
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
Comment 2 User image Karl Tomlinson (back Feb 1 :karlt) 2011-05-16 13:47:04 PDT
This happens on 10.6.2 when layersGPUAccelerated is false.
Comment 3 User image Treeherder Robot 2011-07-11 14:04:04 PDT
dholbert%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310405037.1310405752.18031.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/11 10:23:57

s: talos-r3-snow-033
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 4 User image Treeherder Robot 2011-07-11 17:06:34 PDT
khuey
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310424896.1310425789.21443.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test reftest on 2011/07/11 15:54:56

s: talos-r3-snow-045
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 5 User image Treeherder Robot 2011-07-11 17:06:42 PDT
khuey
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310424210.1310426463.24532.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test reftest on 2011/07/11 15:43:30

s: talos-r3-snow-017
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 6 User image Treeherder Robot 2011-07-12 00:05:49 PDT
dholbert%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310451989.1310452856.9323.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/11 23:26:29

s: talos-r3-snow-027
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 7 User image Treeherder Robot 2011-07-12 00:51:35 PDT
dholbert%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310452977.1310454985.17772.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test reftest on 2011/07/11 23:42:57

s: talos-r3-snow-042
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 8 User image Treeherder Robot 2011-07-12 08:20:30 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310470500.1310471364.31645.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/12 04:35:00

s: talos-r3-snow-037
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 9 User image Treeherder Robot 2011-07-12 14:18:48 PDT
dholbert%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310501641.1310502552.1757.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/12 13:14:01

s: talos-r3-snow-025
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 10 User image Treeherder Robot 2011-07-13 02:06:28 PDT
jfkthame%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310546160.1310546961.22475.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test reftest on 2011/07/13 01:36:00

s: talos-r3-snow-050
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 11 User image Treeherder Robot 2011-07-13 03:48:51 PDT
mounir
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310552360.1310553162.15881.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/13 03:19:20

s: talos-r3-snow-004
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 12 User image Treeherder Robot 2011-07-13 06:46:54 PDT
jfkthame%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310561462.1310562989.6073.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test reftest on 2011/07/13 05:51:02

s: talos-r3-snow-024
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 13 User image Treeherder Robot 2011-07-13 08:32:50 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310508404.1310509361.1102.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/12 15:06:44

s: talos-r3-snow-013
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 14 User image Treeherder Robot 2011-07-13 11:21:51 PDT
cjones
http://tinderbox.mozilla.org/showlog.cgi?log=Try/1310542995.1310544911.14085.gz
Rev3 MacOSX Snow Leopard 10.6.2 try debug test reftest on 2011/07/13 00:43:15

s: talos-r3-snow-031
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 15 User image Treeherder Robot 2011-07-13 13:44:45 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310583560.1310584562.19956.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/13 11:59:20

s: talos-r3-snow-019
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 16 User image Treeherder Robot 2011-07-14 09:11:45 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310648940.1310649793.2164.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test reftest on 2011/07/14 06:09:00

s: talos-r3-snow-033
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 17 User image Treeherder Robot 2011-07-14 12:27:19 PDT
ttaubert
http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1310669478.1310670365.9598.gz
Rev3 MacOSX Snow Leopard 10.6.2 fx-team opt test reftest on 2011/07/14 11:51:18

s: talos-r3-snow-004
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 18 User image Treeherder Robot 2011-07-15 05:07:42 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310721257.1310722164.13355.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/15 02:14:17

s: talos-r3-snow-018
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 19 User image Treeherder Robot 2011-07-15 05:08:34 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310704000.1310704715.10910.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/14 21:26:40

s: talos-r3-snow-005
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 20 User image Treeherder Robot 2011-07-15 11:02:21 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310751444.1310752178.11232.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test reftest on 2011/07/15 10:37:24

s: talos-r3-snow-004
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 21 User image Treeherder Robot 2011-07-15 11:47:13 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310748504.1310749251.29167.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test reftest on 2011/07/15 09:48:24

s: talos-r3-snow-015
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 22 User image Treeherder Robot 2011-07-15 11:48:37 PDT
matspal%gmail.com [:mats]
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310749997.1310751062.5787.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/15 10:13:17

s: talos-r3-snow-056
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 23 User image :Ehsan Akhgari 2011-07-15 13:26:21 PDT
So, these rendering problems look to be a rendering error.  Bug 670338 and bug 670111 have landed around the time this got very frequent.  I'm going to back them out to see if they change the volume of these oranges.  If they do, I guess we can blame this bug on one of those patches...
Comment 24 User image :Ehsan Akhgari 2011-07-15 13:30:33 PDT
(In reply to comment #23)
> So, these rendering problems look to be a rendering error.  Bug 670338 and
> bug 670111 have landed around the time this got very frequent.  I'm going to
> back them out to see if they change the volume of these oranges.  If they
> do, I guess we can blame this bug on one of those patches...

I backed both of these bugs out, and will keep an eye on the frequency of this bug to see if it goes back down.  If not, I'll reland those two bugs again next week.
Comment 25 User image Ed Morley [:emorley] 2011-07-16 17:18:21 PDT
(In reply to comment #23)
> So, these rendering problems look to be a rendering error.  Bug 670338 and
> bug 670111 have landed around the time this got very frequent.  I'm going to
> back them out to see if they change the volume of these oranges.  If they
> do, I guess we can blame this bug on one of those patches...

I'm not overly convinced there is any correlation. Though if there is any error in my logic I'm quite happy to be corrected! :-)

I've pushed to try the following reftest runs:

m-c tip (includes bug 670338 and bug 670111):
http://dev.philringnalda.com/tbpl/?tree=Try&rev=9e056fe3c757
- OS X 10.6 opt: 0 orange out of 20 runs
- OS X 10.6 debug: 1 orange out of 20 runs
- OS X 10.5 opt: 0 orange out of 10 runs

m-c tip with bug 670338 backed out (ie just includes bug 670111):
- OS X 10.6 opt: 4 orange out of 20 runs
- OS X 10.6 debug: 0 orange out of 20 runs
- OS X 10.5 opt: 0 orange out of 10 runs

m-c tip with bug 670111 backed out (ie just includes bug 670338):
- OS X 10.6 opt: 4 orange out of 20 runs
- OS X 10.6 debug: 1 orange out of 20 runs
- OS X 10.5 opt: 0 orange out of 10 runs

m-c tip with both bug 670111 and bug 670338 backed out: (note try being try doesn't list both changesets, but they are there: http://hg.mozilla.org/try/graph/87912)
- OS X 10.6 opt: 4 orange out of 20 runs
- OS X 10.6 debug: 2 orange out of 20 runs
- OS X 10.5 opt: 0 orange out of 10 runs
Comment 26 User image Ed Morley [:emorley] 2011-07-16 17:19:38 PDT
Ooops, missed out the remaining try links.

In order (from 2nd to 4th above)...

http://dev.philringnalda.com/tbpl/?tree=Try&rev=014c50ef0de6
http://dev.philringnalda.com/tbpl/?tree=Try&rev=00555d1b4ca1
http://dev.philringnalda.com/tbpl/?tree=Try&rev=1f258547ac35
Comment 27 User image Ed Morley [:emorley] 2011-07-17 06:11:59 PDT
I've re-triggered a load more reftest runs to try and make the results more statistically significant: (whether the below is sufficient, I'll leave for someone else to decide)

m-c tip (includes bug 670338 and bug 670111):
- OS X 10.6 opt: 2 orange out of 50
- OS X 10.6 debug: 2 orange out of 50
= 4/100

m-c tip with bug 670338 backed out (ie just includes bug 670111):
- OS X 10.6 opt: 9 orange out of 50
- OS X 10.6 debug: 0 orange out of 50
= 9/100

m-c tip with bug 670111 backed out (ie just includes bug 670338):
- OS X 10.6 opt: 7 orange out of 50
- OS X 10.6 debug: 2 orange out of 50
= 9/100

m-c tip with both bug 670111 and bug 670338 backed out:
- OS X 10.6 opt: 8 orange out of 50
- OS X 10.6 debug: 4 orange out of 50
= 12/100
Comment 28 User image Treeherder Robot 2011-07-17 10:21:40 PDT
Ms2ger%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1310887761.1310888564.4615.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound opt test reftest on 2011/07/17 00:29:21

s: talos-r3-snow-004
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 29 User image Treeherder Robot 2011-07-17 13:11:11 PDT
joe%drew.ca
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310931849.1310932990.18274.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central opt test reftest on 2011/07/17 12:44:09

s: talos-r3-snow-029
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 30 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2011-07-17 17:40:53 PDT
This is just 4 corner pixels being off by 1/255. It's not relevant to the test itself. I have no insight into what might be causing the problem, just some wild guesses. I think we should just censor the corners.
Comment 31 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2011-07-17 17:47:37 PDT
Pushed a patch to do that:
http://hg.mozilla.org/integration/mozilla-inbound/rev/37cb0a1bc2ce
Comment 32 User image Ed Morley [:emorley] 2011-07-18 02:56:42 PDT
Given comment 27 and comment 30, can bug 670338 and bug 670111 be relanded?
Comment 33 User image Treeherder Robot 2011-07-18 10:20:22 PDT
ttaubert
http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1311008239.1311009371.8670.gz
Rev3 MacOSX Snow Leopard 10.6.2 fx-team opt test reftest on 2011/07/18 09:57:19

s: talos-r3-snow-053
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 34 User image Treeherder Robot 2011-07-18 10:54:41 PDT
edmorley
http://tinderbox.mozilla.org/showlog.cgi?log=Try/1311008825.1311009834.10512.gz
Rev3 MacOSX Snow Leopard 10.6.2 try opt test reftest on 2011/07/18 10:07:05

s: talos-r3-snow-027
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)
Comment 36 User image Treeherder Robot 2011-07-18 15:27:34 PDT
gphemsley%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Maple/1310998463.1310999705.23093.gz
Rev3 MacOSX Snow Leopard 10.6.2 maple opt test reftest on 2011/07/18 07:14:23

s: talos-r3-snow-007
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579323-1.html | image comparison (==)

Note You need to log in before you can comment on or make changes to this bug.